Skip to main content
PATCH
/
v1
/
connections
/
{connectionId}
curl -X PATCH "https://api.adrelay.dev/v1/connections/conn_abc123" \
  -H "X-API-Key: $ADRELAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label": "US Google Ads Account"}'
{
  "id": "conn_abc123",
  "platform": "google_ads",
  "status": "ACTIVE",
  "label": "US Google Ads Account",
  "remote_account_id": "123-456-7890",
  "created_at": "2026-03-01T12:00:00Z",
  "last_synced_at": "2026-03-21T08:00:00Z"
}
curl -X PATCH "https://api.adrelay.dev/v1/connections/conn_abc123" \
  -H "X-API-Key: $ADRELAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label": "US Google Ads Account"}'
{
  "id": "conn_abc123",
  "platform": "google_ads",
  "status": "ACTIVE",
  "label": "US Google Ads Account",
  "remote_account_id": "123-456-7890",
  "created_at": "2026-03-01T12:00:00Z",
  "last_synced_at": "2026-03-21T08:00:00Z"
}
Use the label field to assign a human-readable name to your connections for easier identification when managing multiple accounts.

Authorizations

X-API-Key
string
header
required

Path Parameters

connectionId
string<uuid>
required

Body

application/json
label
string | null
required
Maximum string length: 100

Response

Updated connection

id
string<uuid>
required
platform
enum<string>
required
Available options:
GOOGLE,
META,
TIKTOK,
LINKEDIN,
PINTEREST,
REDDIT
platformAccountId
string
required
platformAccountName
string | null
required
label
string | null
required
status
enum<string>
required
Available options:
PENDING,
ACTIVE,
REVOKED,
ERROR
currency
string
required
scopes
string[]
required
createdAt
string
required
updatedAt
string
required